Market Data

Get chart bars

GET
/charts/bars

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

venueMarketOutcomeId*string
resolution?string
Value in"1""5""60""1D"
from?number
to*number
countBack?integer
Range1 <= value <= 5000

Response Body

200

application/json
  1. response
venueMarketOutcomeId*string
venue*string
resolution*string
Value in"1m""5m""1h""1d"
data*array<>
meta*
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/charts/bars?venueMarketOutcomeId=string&to=0'
Example Response
{  "venueMarketOutcomeId": "string",  "venue": "string",  "resolution": "1m",  "data": [    {      "mean": 0,      "t": 0,      "o": 0,      "h": 0,      "l": 0,      "c": 0,      "v": 0    }  ],  "meta": {    "state": "ready",    "complete": true,    "retryAfterMs": 0,    "fetchedAtMs": 0,    "serverTime": 0,    "lastBarOpenTime": 0,    "staleSeconds": 0  }}